## granite 5.2.1

=== CMakeLists.txt ===
# Check http://webdev.elementaryos.org/docs/developer-guide/cmake for documentation

cmake_minimum_required (VERSION 2.8)
cmake_policy (VERSION 2.8)
project (granite C)

set (PKG_NAME ${CMAKE_PROJECT_NAME})
set (PKG_VERSION 5.2.1)
set (API_VERSION 1.0)

# Used to create GObject introspection files
set (PKG_GIR_NAME Granite-${API_VERSION})

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

set (RESOURCES_DIR ${CMAKE_INSTALL_PREFIX}/share/${PKG_NAME}/)
set (GETTEXT_PACKAGE ${PKG_NAME})

find_package (Vala REQUIRED)
include (ValaVersion)
include (ValaPrecompile)

ensure_vala_version ("0.40" MINIMUM)

#
# Packages in PKG_DEPS are used with the vala compiler and other related tools (not versioned.)
# Packages in PKG_DEPS_CHECK are used with PKG-Config and for linking, etc. They can contain versions.
#
# Both should contain *the same packages*, except for those whose VAPI file has a different name. In
# such case, PKG_DEPS would use the name of the VAPI, and PKG_DEPS_CHECK would use the name of the
# package known by pkg-config.
#
set (PKG_DEPS
    gtk+-3.0
    gio-unix-2.0
    posix
    gee-0.8)

set (PKG_DEPS_CHECK
    gtk+-3.0>=3.22
    gio-unix-2.0
    gthread-2.0
    gee-0.8)

# GI dependencies
set (GI_PKG_DEPS Gtk-3.0 Gee-0.8)

# Check for the deps
find_package (PkgConfig)
pkg_check_modules (DEPS REQUIRED ${PKG_DEPS_CHECK})

set (VALAC_OPTIONS
     --abi-stability
     --hide-internal
     --target-glib=2.50)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=LINUX)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=DRAGON_FLY)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=FFREE_BSD)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=NET_BSD)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
    set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=OPEN_BSD)
endif ()

add_subdirectory (lib)
add_subdirectory (demo)
add_subdirectory (doc)
add_subdirectory (po)
add_subdirectory (icons)

=== debian/changelog ===
granite (5.2.1-1) unstable; urgency=medium

  * New upstream release 5.2.1.
  * debian/patches: Refresh patches.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 08 Nov 2018 20:31:22 -0500

=== debian/control ===
Source: granite
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 2.8),
 debhelper (>= 11~),
 gobject-introspection (>= 1.41.4-1~),
 libgee-0.8-dev,
 libgirepository1.0-dev,
 libgtk-3-dev (>= 3.22),
 valac (>= 0.40),
Standards-Version: 4.2.1
Homepage: https://github.com/elementary/granite
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite

Package: gir1.2-granite-1.0
Section: introspection
Architecture: any
Multi-Arch: foreign
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: extension of GTK+ libraries (introspection files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: granite-demo
Section: misc
Architecture: any
Depends:
 libgranite5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: extension of GTK+ libraries (demo binary)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains a small demo application to show Granite Widgets.

Package: libgranite-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Replaces:
 libgranite0 (>> 0.2~),
Breaks:
 libgranite0 (>> 0.2~),
Description: extension of GTK+ libraries (common files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains common files needed by library.

Package: libgranite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-granite-1.0 (= ${binary:Version}),
 libgee-0.8-dev,
 libglib2.0-dev,
 libgranite5 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.14),
 ${misc:Depends},
Description: extension of GTK+ libraries (development files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the static library and header files.

Package: libgranite5
Architecture: any
Multi-Arch: same
Depends:
 libgranite-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 contractor,
Description: extension of GTK+ libraries
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the shared library.

## granite 5.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 project (granite C)
 
 set (PKG_NAME ${CMAKE_PROJECT_NAME})
-set (PKG_VERSION 5.2.1)
+set (PKG_VERSION 5.2.2)
 set (API_VERSION 1.0)
 
 # Used to create GObject introspection files

=== demo/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}/../lib)

set (CMAKE_INCLUDE_CURRENT_DIR ON)
set (CFLAGS ${DEPS_CFLAGS} ${DEPS_CFLAGS_OTHER} )
set (LIB_PATHS ${DEPS_LIBRARY_DIRS})

link_directories (${LIB_PATHS} ${CMAKE_CURRENT_BINARY_DIR}/../lib)
add_definitions (${CFLAGS} "-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"")

set (EXEC_NAME ${PKG_NAME}-demo)

vala_precompile (VALA_C ${EXEC_NAME}
    GraniteDemo.vala
    Views/AlertViewView.vala
    Views/AvatarView.vala
    Views/CSSView.vala
    Views/DateTimePickerView.vala
    Views/DynamicNotebookView.vala
    Views/MessageDialogView.vala
    Views/ModeButtonView.vala
    Views/OverlayBarView.vala
    Views/SeekBarView.vala
    Views/SourceListView.vala
    Views/StorageView.vala
    Views/ToastView.vala
    Views/UtilsView.vala
    Views/WelcomeView.vala
    Views/AsyncImageView.vala
    Views/SettingsView/SettingsView.vala
    Views/SettingsView/SettingsPage.vala
    Views/SettingsView/SimpleSettingsPage.vala
CUSTOM_VAPIS
    ${CMAKE_CURRENT_BINARY_DIR}/../lib/${PKG_NAME}.vapi
PACKAGES
    ${PKG_DEPS}
OPTIONS
    ${VALAC_OPTIONS}
)

add_executable (${EXEC_NAME} ${VALA_C})
# The demo app is of course using deprecated widgets
set_target_properties(${EXEC_NAME} PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
target_link_libraries (${EXEC_NAME} ${PKG_NAME} ${DEPS_LIBRARIES})
install (TARGETS ${EXEC_NAME} RUNTIME DESTINATION bin)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/granite-demo.desktop DESTINATION share/applications)

=== doc/CMakeLists.txt ===
# Serialize deps packages for valadoc
foreach (pkg ${PKG_DEPS})
    list (APPEND VALADOC_PKG_OPTS "--pkg=${pkg}")
endforeach ()

# Source files to scan
set (SRC_DIR "${CMAKE_SOURCE_DIR}/lib")
file (GLOB SRC_FILES ${SRC_DIR}/*.vala ${SRC_DIR}/*/*.vala)

set (BASE_VALADOC_COMMAND
    valadoc
    ${VALADOC_PKG_OPTS}
    ${SRC_FILES}
    --vapidir=${SRC_DIR}
    --pkg config
    --verbose
    --target-glib=2.50
    --package-name=${PKG_NAME}
    --package-version=${PKG_VERSION})

#########################
# C API Documentation
#########################

add_custom_target (cdocs)
add_dependencies (cdocs ${PKG_NAME}) # we need the lib's C header file, and thus valac must run first

set (C_API_DOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/cdocs)

add_custom_command (TARGET cdocs COMMAND rm ${C_API_DOC_DIR} -R -f) # delete previous files
add_custom_command (TARGET cdocs COMMAND ${BASE_VALADOC_COMMAND} ${VALADOC_PKG_OPTS} -o ${C_API_DOC_DIR}
    --doclet-arg=${CMAKE_BINARY_DIR}/lib/${PKG_NAME}.h --doclet=gtkdoc)

#########################
# Vala API documentation
#########################

add_custom_target (valadocs)
set (VALA_API_DOC_DIR "${CMAKE_CURRENT_BINARY_DIR}/valadocs")

add_custom_command (TARGET valadocs COMMAND rm ${CMAKE_CURRENT_BINARY_DIR}/images -R -f)
add_custom_command (TARGET valadocs COMMAND cp ${CMAKE_SOURCE_DIR}/doc/images/ ${CMAKE_CURRENT_BINARY_DIR}/images -R)

add_custom_command (TARGET valadocs COMMAND rm ${VALA_API_DOC_DIR} -R -f) # delete previous files
add_custom_command (TARGET valadocs COMMAND ${BASE_VALADOC_COMMAND} --doclet=html -o ${VALA_API_DOC_DIR})

#########################
# All the documents
#########################

add_custom_target (docs)
add_dependencies (docs cdocs valadocs)

=== lib/CMakeLists.txt ===
# increase when you break the API
set (PKG_SOVERSION 5)

# Increase when you add functionality
set (PKG_SOMINOR 0)

set (VALA_SOURCES
    StyleClass.vala
    Application.vala
    DateTime.vala
    Drawing/Color.vala
    Drawing/BufferSurface.vala
    Drawing/Utilities.vala

    GtkPatch/AboutDialog.vala

    Services/Settings.vala
    Services/Logger.vala
    Services/Paths.vala
    Services/System.vala
    Services/ContractorProxy.vala
    Services/IconFactory.vala
    Services/SimpleCommand.vala

    Widgets/AbstractSettingsPage.vala
    Widgets/AbstractSimpleSettingsPage.vala
    Widgets/AlertView.vala
    Widgets/Avatar.vala
    Widgets/Utils.vala
    Widgets/AboutDialog.vala
    Widgets/ModeButton.vala
    Widgets/ModeSwitch.vala
    Widgets/DatePicker.vala
    Widgets/TimePicker.vala
    Widgets/CollapsiblePaned.vala
    Widgets/DynamicNotebook.vala
    Widgets/CompositedWindow.vala
    Widgets/AppMenu.vala
    Widgets/Welcome.vala
    Widgets/WelcomeButton.vala
    Widgets/Toast.vala
    Widgets/SeekBar.vala
    Widgets/StorageBar.vala
    Widgets/SourceList.vala
    Widgets/CellRendererExpander.vala
    Widgets/CellRendererBadge.vala
    Widgets/OverlayBar.vala
    Widgets/HeaderLabel.vala
    Widgets/SettingsSidebar.vala
    Widgets/SettingsSidebarRow.vala
    Widgets/MessageDialog.vala
    Widgets/AsyncImage.vala
)

set (C_SOURCES
    Widgets/widgets-utils.c
)

######################
# lib PC file
######################
set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (DOLLAR "$") # You hear that? It's kittens being killed by the gods of cmake

configure_file (${CMAKE_SOURCE_DIR}/lib/config.h.cmake ${CMAKE_BINARY_DIR}/lib/config.h) # used from config.vala
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${PKG_NAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.pc)

include (GNUInstallDirs)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)

# Link all
set (CFLAGS ${DEPS_CFLAGS} ${DEPS_CFLAGS_OTHER})
add_definitions (${CFLAGS} "-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"")

set (LIBS ${DEPS_LIBRARIES} -lm)
set (LIB_PATHS ${DEPS_LIBRARY_DIRS})
link_directories (${LIB_PATHS})

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/Widgets)

option (VAPI_COMMENTS "Include comments in the generated vapi file" OFF)

if (VAPI_COMMENTS)
    set (VALAC_OPTIONS ${VALAC_OPTIONS} --vapi-comments)
endif ()

vala_precompile (VALA_C ${PKG_NAME}
    ${VALA_SOURCES}
PACKAGES
    ${PKG_DEPS}
GENERATE_HEADER
    ${PKG_NAME}
GENERATE_GIR
    ${PKG_GIR_NAME}
GENERATE_VAPI
    ${PKG_NAME}
CUSTOM_VAPIS
    ${CMAKE_CURRENT_SOURCE_DIR}/config.vapi
OPTIONS
    ${VALAC_OPTIONS}
)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.vapi DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala/vapi)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/${PKG_NAME}.deps DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala/vapi)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_NAME}.h DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${PKG_NAME})
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/Widgets/widgets-utils.h DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${PKG_NAME})

set (LIB_FILES ${C_SOURCES} ${VALA_C})

add_library (${PKG_NAME} SHARED ${LIB_FILES})

target_link_libraries (${PKG_NAME} ${LIBS})

set_target_properties (${PKG_NAME} PROPERTIES
    VERSION ${PKG_SOVERSION}.${PKG_SOMINOR}
    SOVERSION ${PKG_SOVERSION})

install (TARGETS ${PKG_NAME} DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})

###########################
# GObject Introspection
###########################

include (FindGObjectIntrospection)

if (INTROSPECTION_FOUND)
    include (GObjectIntrospectionMacros)
    add_custom_command(TARGET ${PKG_NAME} COMMAND ${INTROSPECTION_COMPILER} ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.gir -o ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.typelib)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.gir DESTINATION ${INTROSPECTION_GIRDIR})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.typelib DESTINATION ${INTROSPECTION_TYPELIBDIR})
endif ()

=== debian/changelog ===
granite (5.2.2-1) unstable; urgency=high

  * New upstream release 5.2.2.
  * debian/patches: Add a patch to revert upstream usage of an
    elementry-specific gsettings schema. (Closes: #916173)
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat.
  * debian/symbols: Add a Build-Depends-Package field.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 07:32:10 +0800

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 2.8),
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  gobject-introspection (>= 1.41.4-1~),
  libgee-0.8-dev,
  libgirepository1.0-dev,
  libgtk-3-dev (>= 3.22),
  valac (>= 0.40),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite

## granite 5.2.3

=== debian/changelog ===
granite (5.2.3-1) unstable; urgency=medium

  * New upstream release 5.2.3.
  * debian/control:
    + Follow upstream and build using meson buildsystem.
    + Bump debhelper compat to v12.
  * debian/copyright: Remove copyright information for cmake files.
  * debian/patches: Drop all patches.
  * debian/symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Feb 2019 16:36:21 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 2.8),
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
+ gettext,
  gobject-introspection (>= 1.41.4-1~),
  libgee-0.8-dev,
  libgirepository1.0-dev,
  libgtk-3-dev (>= 3.22),
+ meson,
  valac (>= 0.40),
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git

## granite 5.2.5

=== debian/changelog ===
granite (5.2.5-1) unstable; urgency=medium

  * New upstream release 5.2.5.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Sep 2019 11:28:59 -0400

granite (5.2.4-1) unstable; urgency=medium

  * New upstream release 5.2.4.
    + Various fixes. (Closes: #913756)
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/copyright: Refresh information.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Aug 2019 16:18:30 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  meson,
  valac (>= 0.40),
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite

## granite 5.3.0

=== debian/changelog ===
granite (5.3.0-1) unstable; urgency=medium

  * New upstream release 5.3.0.
  * debian/control: Bump Standards-Version to 4.4.1.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Dec 2019 00:29:39 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  meson,
  valac (>= 0.40),
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with gir

override_dh_missing:
	dh_missing --fail-missing

## granite 5.3.1

=== debian/changelog ===
granite (5.3.1-1) unstable; urgency=medium

  * New upstream release 5.3.1. 
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Apr 2020 00:10:46 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  meson,
  valac (>= 0.40),
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite

## granite 5.4.0

=== debian/changelog ===
granite (5.4.0-1) unstable; urgency=medium

  * New upstream release 5.4.0.
  * debian/control:
    + Bump debhelper compat to v13.
  * debian/symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 May 2020 09:39:53 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext,
  gobject-introspection (>= 1.41.4-1~),
  libgee-0.8-dev,

## granite 5.5.0

=== meson_options.txt ===
option('documentation', type: 'boolean', value: false, description: 'generate documentation with gtk-doc and valadoc')

=== debian/changelog ===
granite (5.5.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 25 Apr 2021 15:59:57 -0400

granite (5.5.0-1) unstable; urgency=medium

  * New upstream release 5.5.0. 

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 17:21:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
@@ -11,6 +12,7 @@
  gobject-introspection (>= 1.41.4-1~),
  libgee-0.8-dev,
  libgirepository1.0-dev,
+ libbrotli-dev,
  libgtk-3-dev (>= 3.22),
  meson,
  valac (>= 0.40),

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@ --with gir

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## granite 6.1.2

=== debian/changelog ===
granite (6.1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgtk-3-dev and valac.
    + libgranite-dev: Drop versioned constraint on libgtk-3-dev in Depends.

  [ Boyuan Yang ]
  * New upstream release 6.1.2.
  * debian/libgranite6.symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Oct 2021 21:08:20 -0400

granite (6.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libgranite6.symbols: Refreshed.

  [ Debian Janitor ]
  * Remove unused license definitions for LGPL-2+.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gobject-introspection.

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Aug 2021 17:07:49 -0400

granite (6.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Aug 2021 15:15:43 -0400

granite (6.1.0-1~exp1) experimental; urgency=medium

  * New upstream release 6.1.0.
  * debian/upstream/metadata: Add metadata.
  * debian/libgranite6.symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Fri, 23 Jul 2021 16:57:38 -0400

granite (6.0.0-1~exp2) experimental; urgency=high

  * Let libgranite6 Breaks+Replaces: libgranite5. (Closes: #978509)

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Apr 2021 13:30:10 -0400

granite (6.0.0-1~exp1) experimental; urgency=medium

  * New upstream release 6.0.0.
  * Bump SONAME: 5 -> 6.
  * debian/libgranite6.symbols: Reset symbols.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Apr 2021 12:03:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
- gobject-introspection (>= 1.41.4-1~),
+ gobject-introspection,
  libgee-0.8-dev,
  libgirepository1.0-dev,
  libbrotli-dev,
- libgtk-3-dev (>= 3.22),
+ libgtk-3-dev,
  meson,
- valac (>= 0.40),
+ valac,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/elementary/granite
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite
@@ -41,7 +40,7 @@
 Section: misc
 Architecture: any
 Depends:
- libgranite5 (= ${binary:Version}),
+ libgranite6 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: extension of GTK+ libraries (demo binary)
@@ -76,8 +75,8 @@
  gir1.2-granite-1.0 (= ${binary:Version}),
  libgee-0.8-dev,
  libglib2.0-dev,
- libgranite5 (= ${binary:Version}),
- libgtk-3-dev (>= 3.3.14),
+ libgranite6 (= ${binary:Version}),
+ libgtk-3-dev,
  ${misc:Depends},
 Description: extension of GTK+ libraries (development files)
  Granite is an extension of GTK+. Among other things, it provides
@@ -86,7 +85,7 @@
  .
  This package contains the static library and header files.
 
-Package: libgranite5
+Package: libgranite6
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -95,6 +94,10 @@
  ${shlibs:Depends},
 Recommends:
  contractor,
+Breaks:
+ libgranite5,
+Replaces:
+ libgranite5,
 Description: extension of GTK+ libraries
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps

## granite 6.2.0

=== debian/changelog ===
granite (6.2.0-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Drop obsolete recommended package contractor.
    (Closes: #1115442)

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Sep 2025 11:48:13 -0400

granite (6.2.0-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Migrate away from libgirepository1.0-dev.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Aug 2025 19:18:14 -0400

granite (6.2.0-3) unstable; urgency=medium

  * QA upload.
  * Orphan package.
  * debian/watch: Monitor upstream 6.x branch.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Update Vcs-* fields to use new location with branch.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Aug 2022 16:32:43 -0400

granite (6.2.0-2) unstable; urgency=medium

  * Frozen upstream: no new release expected for granite 6.x since
    granite 7.x has switched to GTK4. granites 7.x is packaged as
    separate, co-installable packages.
  * debian/gbp.conf: Specify packaging branch.
  * debian/libgranite6.symbols: Add new symbols.
  * debian/control: Let libgranite6 and libgranite-common Breaks and
    Replaces libgranite0, libgranite5 and elementary-tweaks.
    (LP: #1917321, #1939741, #1948338, #1950965, #1958368)

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jun 2022 07:39:25 -0400

granite (6.2.0-1) unstable; urgency=medium

  * New upstream release 6.2.0.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/libgranite6.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 16:04:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
-Uploaders:
- Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <byang@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gettext,
- gobject-introspection,
+ gir1.2-cairo-1.0-dev <!nogir>,
+ gir1.2-gdk-3.0-dev <!nogir>,
+ gir1.2-gdkpixbuf-2.0-dev <!nogir>,
+ gir1.2-gee-0.8-dev <!nogir>,
+ gir1.2-gio-2.0-dev <!nogir>,
+ gir1.2-gobject-2.0-dev <!nogir>,
+ gir1.2-gtk-3.0-dev <!nogir>,
+ gir1.2-pango-1.0-dev <!nogir>,
+ gobject-introspection <!nogir>,
+ libbrotli-dev,
  libgee-0.8-dev,
- libgirepository1.0-dev,
- libbrotli-dev,
  libgtk-3-dev,
  meson,
  valac,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/elementary/granite
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/granite.git
-Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/granite
+Vcs-Git: https://salsa.debian.org/debian/granite.git -b debian/granite-6/master
+Vcs-Browser: https://salsa.debian.org/debian/granite/-/tree/debian/granite-6/master
 
 Package: gir1.2-granite-1.0
 Section: introspection
@@ -57,9 +61,14 @@
 Depends:
  ${misc:Depends},
 Replaces:
+ elementary-tweaks,
  libgranite0 (>> 0.2~),
+ libgranite5,
 Breaks:
  libgranite0 (>> 0.2~),
+ libgranite5,
+Conflicts:
+ elementary-tweaks,
 Description: extension of GTK+ libraries (common files)
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps
@@ -77,7 +86,10 @@
  libglib2.0-dev,
  libgranite6 (= ${binary:Version}),
  libgtk-3-dev,
+ ${gir:Depends},
  ${misc:Depends},
+Provides:
+ ${gir:Provides},
 Description: extension of GTK+ libraries (development files)
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps
@@ -92,12 +104,15 @@
  libgranite-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- contractor,
 Breaks:
+ libgranite0,
  libgranite5,
 Replaces:
+ elementary-tweaks,
+ libgranite0,
  libgranite5,
+Conflicts:
+ elementary-tweaks,
 Description: extension of GTK+ libraries
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,3 @@
 
 %:
 	dh $@ --with gir
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%granite-$1.tar.gz%" \
   https://github.com/elementary/granite/tags \
   (?:.*?/)?(6)(?:\.)(\d[\d\.]*)\.tar\.gz debian uupdate

## granite io-0.5.0

=== contrib/00_example/requirements.txt ===
-e ../../../granite-io
openai
